%define debug_package %{nil}

Summary:	Namespace for backported Python features
Name:		python-backports
Version:	1.0
Release:	2
# Only code is sourced from http://www.python.org/dev/peps/pep-0382/
License:	Public Domain
Group:		Development/Python
Url:		https://pypi.python.org/pypi/backports
Source0:	backports.py
BuildRequires:	pkgconfig(python)

%description
The backports namespace is a namespace reserved for features backported from
the Python standard library to older versions of Python 2.

Packages that exist in the backports namespace in Fedora should not provide
their own backports/__init__.py, but instead require this package.

Backports to earlier versions of Python 3, if they exist, do not need this
package because of changes made in Python 3.3 in PEP 420
(http://www.python.org/dev/peps/pep-0420/).

%files
%{python_sitelib}/backports
%if "%{python_sitelib}" != "%{python_sitearch}"
%{python_sitearch}/backports
%endif

#----------------------------------------------------------------------------

%prep


%build

%install
mkdir -pm 755 %{buildroot}%{python_sitelib}/backports
install -pm 644 %{SOURCE0} %{buildroot}%{python_sitelib}/backports/__init__.py

%if "%{python_sitelib}" != "%{python_sitearch}"
mkdir -pm 755 %{buildroot}%{python_sitearch}/backports
install -pm 644 %{SOURCE0} %{buildroot}%{python_sitearch}/backports/__init__.py
%endif

%changelog

* Thu Jun 02 2016 Denis Silakov <dsilakov@gmail.com> 1.0-2
- (98e403e) Move to main


